<?php 
include_once('../../../php/sessionStart.php'); 
include_once('../../../php/db/dbExec.php');
include_once('../../../php/maxExecTime.php');

# QUERYS
$sTipopol = "SELECT * FROM tipopol";

# EJECUCION DE QUERYS
$db = new dbExec();
$select["tipopol"] = $db->query($sTipopol);
$db->close();
?>
<?php include_once('../includes/htmlOpen.php'); ?>
    <main class="main" style="">
      <?php 
        $li[0] = '<i class="fas fa-file-excel"></i>';
        $li[1] = $_GET["opcNom"];
        include_once('../../../php/includes/ol.php');

        $modalImp = "modalImp";
        include_once('../../../php/includes/modalImp.php');
      ?>
      <div class="container-as">
        <div class="row">
          <div class="col">
            <ul class="nav nav-pills mb-1" id="pills-tab" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="pills-0-tab" data-toggle="pill" href="#pills-0" role="tab" aria-controls="pills-0" aria-selected="true">Generar Reporte</a>
              </li>
            </ul>
            <div class="tab-content bg-transparent border-0" id="pills-tabContent">
              <div class="tab-pane fade show active" id="pills-0" role="tabpanel" aria-labelledby="pills-0-tab">
                
                <form action="" name="thisform" autocomplete="off" enctype="multipart/form-data">
                  <div class="form-group">
                    <div class="form-row align-items-end mt-4">
                      <div class="col-6">
                        <label for="dtFecI" class="font-size-lg">Fecha Inicial</label>
                        <input type="date" class="form-control form-control-sm form-control-as" id="dtFecI" placeholder="">
                      </div>
                      <div class="col-6">
                        <label for="dtFecF" class="font-size-lg">Fecha Final</label>
                        <input type="date" class="form-control form-control-sm form-control-as" id="dtFecF" placeholder="">
                      </div>
                    </div>
                    <div class="form-row">
                      <div class="col-3"></div>
                      <div class="col-md-6">
                        <label for="selTipo" class="font-size-lg">Tipo de Poliza</label>
                        <select class="form-control form-control-sm form-control-as" name="selTipo" id="selTipo">
                          <option value="0">Seleccionar...</option>
                          <?php
                            while ($rec = $db->fetchAssoc($select['tipopol'])) {
                              echo  '<option value="'.$rec['tp_cod'].'">'.utf8_encode($rec['tp_nom']).'</option>';
                            }
                          ?>
                          <option value="999">Todos</option>
                        </select>
                      </div>
                      <div class="col-3"></div>
                    </div>
                  </div>

                  <h3 class="text-light"></h3>

                  <div class="form-group">
                    <div class="form-row">
                      <div class="form-group col">
                        <button class="btn btn-primary btn-lg btn-block" id="btnImprimir" type="button">Imprimir</button>
                      </div>
                      <div class="form-group col">
                        <button class="btn btn-success btn-lg btn-block" id="btnExcel" type="button">Excel</button>
                      </div>
                    </div>
                  </div>
                </form>

              </div>
            </div>
          </div>
        </div>
      </div>
    </main>
<?php include_once('../../../php/includes/htmlClose.php'); ?>

<script>
  const dtFecI = document.thisform.dtFecI;
  const dtFecF = document.thisform.dtFecF;
  const selTipo = document.thisform.selTipo;

  function restriccion() {
    if (isNullPer(selTipo.value)) {
      selTipo.focus();
      alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el TIPO DE POLIZA"}});
      return true;
    }
    return false;
  }

  $(document).ready(function() {
    $(this).find('input:visible:first').focus();
    dtFecI.value = dateToday();
    dtFecF.value = dateToday();

    // SUBMIT FORM
    $('form').submit(function() {
      return false;
    });

    // CLICK IMPRIMIR
    $("#btnImprimir").click(function (){
      if (restriccion()) {return};
      
      const getFecI = "?dtFecI="+dtFecI.value;
      const getFecF = "&dtFecF="+dtFecF.value;
      const getTipoCod = "&selTipoCod="+selTipo.value;
      var url = window.location.origin+window.location.pathname+"print.php"+getFecI+getFecF+getTipoCod;

      window.open(url, '_blank');
    });

    // CLICK EXCEL
    $("#btnExcel").click(function (){
      if (restriccion()) {return};

      const getFecI = "?dtFecI="+dtFecI.value;
      const getFecF = "&dtFecF="+dtFecF.value;
      const getTipoCod = "&selTipoCod="+selTipo.value;
      var url = window.location.origin+window.location.pathname+"excel.php"+getFecI+getFecF+getTipoCod;

      window.location.href = url;
    });
  });

</script>